Bug 198098 - ftp/net2ftp: Update to 1.0
Summary: ftp/net2ftp: Update to 1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-28 15:55 UTC by Anonymous
Modified: 2015-03-04 15:03 UTC (History)
3 users (show)

See Also:


Attachments
update to 1.0 (941 bytes, text/plain)
2015-02-28 15:55 UTC, Anonymous
no flags Details
Patch to update ftp/net2ftp to 1.0 (82.41 KB, patch)
2015-03-04 11:50 UTC, Ben Woods
no flags Details | Diff
poudriere testport success on FreeBSD 10.1 amd64 for Ben's patch (13.02 KB, text/plain)
2015-03-04 12:57 UTC, Ben Woods
no flags Details
Patch to update ftp/net2ftp to 1.0 (82.41 KB, patch)
2015-03-04 13:09 UTC, Ben Woods
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anonymous 2015-02-28 15:55:24 UTC
Created attachment 153615 [details]
update to 1.0

Update to 1.0
Add maintainer.
Comment 1 Ben Woods freebsd_committer 2015-03-04 11:34:28 UTC
Hi Chris,

Unfortunately this patch does not allow the port to build. Below is the error reported using poudriere testport:

build started at Wed Mar  4 19:31:53 AWST 2015
port directory: /usr/ports/ftp/net2ftp
building for: FreeBSD woodsb02.no-ip.org 10.1-RELEASE FreeBSD 10.1-RELEASE amd64
maintained by: chris@bsdjunk.com
Makefile ident:      $FreeBSD: head/ftp/net2ftp/Makefile 364846 2014-08-14 14:56:13Z vanilla $
Poudriere version: 3.1.1
Host OSVERSION: 1001000
Jail OSVERSION: 1001000

---Begin Environment---
PKGREPOSITORY=/tmp/pkgs
PACKAGES=/tmp/pkgs
OSVERSION=1001000
UNAME_v=FreeBSD 10.1-RELEASE
UNAME_r=10.1-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
NO_WARNING_PKG_INSTALL_EOL=yes
MASTERMNT=/zstore/poudriere/data/.m/101amd64-default/ref
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
OLDPWD=/
PWD=/zstore/poudriere/data/.m/101amd64-default/ref/usr/ports/ftp/net2ftp
MASTERNAME=101amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.1
TRYBROKEN=yes
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/ftp/net2ftp/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/ftp/net2ftp/work  HOME=/wrkdirs/usr/ports/ftp/net2ftp/work TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/ftp/net2ftp/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/ftp/net2ftp/work  HOME=/wrkdirs/usr/ports/ftp/net2ftp/work TMPDIR="/tmp" NO_PIE=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  BSD_INSTALL_DATA="install  -o root -g wheel -m 0644"  BSD_INSTALL_MAN="install  -o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PHP_EXT_DIR=20131226
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/net2ftp"
EXAMPLESDIR="share/examples/net2ftp"
DATADIR="share/net2ftp"
WWWDIR="www/net2ftp"
ETCDIR="etc/net2ftp"
--End PLIST_SUB--

--SUB_LIST--
PKGNAME=net2ftp-1.0
PHP_EXT_DIR=20131226
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/net2ftp
DOCSDIR=/usr/local/share/doc/net2ftp
EXAMPLESDIR=/usr/local/share/examples/net2ftp
WWWDIR=/usr/local/www/net2ftp
ETCDIR=/usr/local/etc/net2ftp
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/101amd64-make.conf ####
DISABLE_LICENSES=yes
OPTIONS_UNSET= LINUX GTK AVAHI
OPTIONS_SET= VAAPI VDPAU X265 ASS FAAC LAME MDNSRESPONDER RRDTOOL STATGRAB DEJAVU
irc_quassel_UNSET+= KDE MONO CLIENT
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   net2ftp-1.0 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.4.12.txz
[woodsb02.no-ip.org] Installing pkg-1.4.12...
[woodsb02.no-ip.org] Extracting pkg-1.4.12... done
Message for pkg-1.4.12:
 If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of net2ftp-1.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>   net2ftp-1.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by net2ftp-1.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>   net2ftp-1.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by net2ftp-1.0 for building
=> SHA256 Checksum OK for net2ftp_v1.0.zip.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>   net2ftp-1.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by net2ftp-1.0 for building
===>  Extracting for net2ftp-1.0
=> SHA256 Checksum OK for net2ftp_v1.0.zip.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for net2ftp-1.0
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
====>> Recording filesystem state for prebuild... done
=======================<phase: configure      >============================
===>  Configuring for net2ftp-1.0
===========================================================================
=======================<phase: build          >============================
===========================================================================
====>> Checking for filesystem violations... done
=======================<phase: run-depends    >============================
===>   net2ftp-1.0 depends on file: /usr/local/include/php/main/php.h - not found
===>    Verifying install for /usr/local/include/php/main/php.h in /usr/ports/lang/php56
===>   Installing existing package /packages/All/php56-5.6.6.txz
[woodsb02.no-ip.org] Installing php56-5.6.6...
[woodsb02.no-ip.org] `-- Installing libxml2-2.9.2_2...
[woodsb02.no-ip.org] `-- Extracting libxml2-2.9.2_2... done
[woodsb02.no-ip.org] `-- Installing pcre-8.35_2...
[woodsb02.no-ip.org] `-- Extracting pcre-8.35_2... done
[woodsb02.no-ip.org] Extracting php56-5.6.6... done
===>   Returning to build of net2ftp-1.0
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/ftp.so - not found
===>    Verifying install for /usr/local/lib/php/20131226/ftp.so in /usr/ports/ftp/php56-ftp
===>   Installing existing package /packages/All/php56-ftp-5.6.6.txz
[woodsb02.no-ip.org] Installing php56-ftp-5.6.6...
[woodsb02.no-ip.org] Extracting php56-ftp-5.6.6... done
===>   Returning to build of net2ftp-1.0
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/mysql.so - not found
===>    Verifying install for /usr/local/lib/php/20131226/mysql.so in /usr/ports/databases/php56-mysql
===>   Installing existing package /packages/All/php56-mysql-5.6.6.txz
[woodsb02.no-ip.org] Installing php56-mysql-5.6.6...
[woodsb02.no-ip.org] Extracting php56-mysql-5.6.6... done
===>   Returning to build of net2ftp-1.0
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/session.so - not found
===>    Verifying install for /usr/local/lib/php/20131226/session.so in /usr/ports/www/php56-session
===>   Installing existing package /packages/All/php56-session-5.6.6.txz
[woodsb02.no-ip.org] Installing php56-session-5.6.6...
[woodsb02.no-ip.org] Extracting php56-session-5.6.6... done
===>   Returning to build of net2ftp-1.0
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/zlib.so - not found
===>    Verifying install for /usr/local/lib/php/20131226/zlib.so in /usr/ports/archivers/php56-zlib
===>   Installing existing package /packages/All/php56-zlib-5.6.6.txz
[woodsb02.no-ip.org] Installing php56-zlib-5.6.6...
[woodsb02.no-ip.org] Extracting php56-zlib-5.6.6... done
===>   Returning to build of net2ftp-1.0
===========================================================================
====>> Recording filesystem state for prestage... done
=======================<phase: stage          >============================
===>  Staging for net2ftp-1.0
===>   net2ftp-1.0 depends on file: /usr/local/include/php/main/php.h - found
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/ftp.so - found
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/mysql.so - found
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/session.so - found
===>   net2ftp-1.0 depends on file: /usr/local/lib/php/20131226/zlib.so - found
===>   Generating temporary packing list
install: ./skins/shinra/img/knobs-icons/Knob: No such file or directory
*** Error code 71

Stop.
make: stopped in /usr/ports/ftp/net2ftp
build of ftp/net2ftp ended at Wed Mar  4 19:32:01 AWST 2015
build time: 00:00:08
!!! build failure encountered !!!
Comment 2 Ben Woods freebsd_committer 2015-03-04 11:50:45 UTC
Created attachment 153773 [details]
Patch to update ftp/net2ftp to 1.0

In addition to updating to 1.0, I have simplified the do-install using COPYTREE_SHARE, added a static pkg-plist, and tidied up the port description/messages.

Keep maintainer as chris@bsdjunk.com, as per original patch attached to this PR.

Chris: if you agree with my alternative patch and are happy to remain listed as the maintainer, can you please approve with a comment in this bug report?
Comment 3 Ben Woods freebsd_committer 2015-03-04 11:51:43 UTC
Below is a link to the log for a successful poudriere testport on FreeBSD 10.1 amd64:
http://woodsb02.no-ip.org/poudriere/build.html?mastername=101amd64-default&build=2015-03-04_19h45m17s
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-03-04 12:01:46 UTC
@Ben, please attach large text outputs rather than inline in comments, or snip them to their most relevant sections. Thanks!

Please also attach QA (poudriere, portlint, etc) output, rather than with external urls.

Also, since this port has no maintainer, you will want to decide together which patch is the best, and then obsolete the other, leaving one patch behind to be committed.
Comment 5 Ben Woods freebsd_committer 2015-03-04 12:57:10 UTC
Created attachment 153774 [details]
poudriere testport success on FreeBSD 10.1 amd64 for Ben's patch
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-03-04 13:01:08 UTC
Thanks Ben,

COMMENT needs its leading "A" removed, and I would also suggest a good portlint -AC run to pickup any leftover issues.
Comment 7 Ben Woods freebsd_committer 2015-03-04 13:09:30 UTC
Created attachment 153775 [details]
Patch to update ftp/net2ftp to 1.0

This updated patch removes all errors from portlint -AC (with the exception of WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.)
Comment 8 Anonymous 2015-03-04 13:32:15 UTC
Approved, I glanced at this port noticed it had a dyn pkg-plist so I figured it would work without any issue, so I didn't bother to test it so fail on me.
Comment 9 commit-hook freebsd_committer 2015-03-04 15:01:51 UTC
A commit references this bug:

Author: robak
Date: Wed Mar  4 15:01:26 UTC 2015
New revision: 380440
URL: https://svnweb.freebsd.org/changeset/ports/380440

Log:
  ftp/net2ftp: update 0.98 -> 1.0

  - Set MAINTAINER to chris@bsdjunk.com
  - Use static pkg-plist instead of dynamic

  PR:		198098
  Submitted by:	Ben Woods <woodsb02@gmail.com>

Changes:
  head/ftp/net2ftp/Makefile
  head/ftp/net2ftp/distinfo
  head/ftp/net2ftp/files/pkg-message.in
  head/ftp/net2ftp/pkg-descr
  head/ftp/net2ftp/pkg-plist
  head/ftp/net2ftp/pkg-plist-chunk
Comment 10 Bartek Rutkowski freebsd_committer 2015-03-04 15:03:44 UTC
Committed, thanks for your work, Ben! Chris, thank you for taking care of that port!